Name:           perl-Git-CPAN-Patch
Version:        0.1.5
Release:        1%{?dist}
Summary:        Patch CPAN modules using Git
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Git-CPAN-Patch/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/Git-CPAN-Patch-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(autodie)
BuildRequires:  perl(CPANPLUS)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Parse::BACKPAN::Packages)
# testing
BuildRequires:  perl(Test::More)

%description
Git::CPAN::Patch provides a suite of git commands aimed at making trivially
easy the process of grabbing any distribution off CPAN, stuffing it in a
local git repository and, once gleeful hacking has been perpetrated,
sending back patches to its maintainer.

This package provides the backend Perl modules required.  For the git
commands, etc, please install the git-cpan-patch package.

%package -n git-cpan-patch
Summary:        Patch CPAN modules using Git
License:        GPL+ or Artistic
Group:          Development/Tools
Requires:       perl-Git-CPAN-Patch = %{version}-%{release}

Requires:       git, git-email

%description -n git-cpan-patch
git-cpan-patch provides a suite of git commands aimed at making trivially
easy the process of grabbing any distribution off CPAN, stuffing it in a
local git repository and, once gleeful hacking has been perpetrated,
sending back patches to its maintainer.


%prep
%setup -q -n Git-CPAN-Patch-%{version}

%build
echo y | %{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n git-cpan-patch
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Mar 28 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.5-1
- update to 0.1.5

* Wed Mar 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.4-2
- break into main package + git-cpan-patch

* Fri Mar 06 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.4-1
- Specfile autogenerated by cpanspec 1.77.
